// File: Stud_tst.java
// Test student class

import java.io.*;

/**
 * @com.register ( clsid=AF750865-0DA3-11D4-8607-00A0CC5FD79C, typelib=AF750864-0DA3-11D4-8607-00A0CC5FD79C )
 */
public class Concordance {

static int intArraySize=256;

// Read the input file name from the user
public static String GetInputFile() throws java.io.IOException
{DataInputStream FileNameInput=new DataInputStream(System.in);
 System.out.print("File to Open >");
 System.out.flush();
 return(FileNameInput.readLine());
}

public static char readChar() throws java.io.IOException
{ BufferedReader DataIn=new BufferedReader(new InputStreamReader(System.in));
  String Line;
  do 
	Line=DataIn.readLine().trim();
  while (Line.length()==0);
  return((Line.toUpperCase().toCharArray())[0]);
}

static char getChoice(String OK)  throws java.io.IOException
{char Reply;
 do {
  Reply=readChar();
 } while (OK.indexOf(Reply,0)==-1);
 return(Reply);
}

// Read the input file name from the user
public static String getOutputFile() throws java.io.IOException
{DataInputStream FileNameInput=new DataInputStream(System.in);
 System.out.println("Destination:");
 System.out.println("S)creen	P)rinter	D)isk");
 char reply=getChoice("SPD");
 switch (reply) {
	 case 'S':return("con");
	 case 'P':return("prn");
	 case 'D':
		System.out.println("Enter file to open >");
		System.out.flush();
		return(FileNameInput.readLine());
 }
 return(FileNameInput.readLine());
}

// Initialize the Character Counters
static void InitCharCounters(int[] Counts)
{for (int i=0;i<intArraySize;i++)
  Counts[i]=0;
}

// Update the character occurance counters
static void ProcessLine(int[] CC,char[] Line,int CharsOnLine)
{for (int i=0;i<CharsOnLine;i++)
  CC[Line[i]]++;
}

// Show the number of occurances of each character in the file
static void ShowCharacterCountChart(DataOutputStream Dest,int[] CharCount)
                                                throws java.io.IOException
{for (int i=32;i<intArraySize;i++) {
/*  System.out.print("'"+(char)i+"':"+
                FormattedOutput.IntegerToFormatString(CharCount[i],3)+"|");*/
  Dest.writeBytes("'"+(char)i+"':"+
                FormattedOutput.IntegerToFormatString(CharCount[i],3)+"|");
  if (i%9==4) System.out.println();
 }
}

public static void showLoggedDir()
{File ThisDir=new File(".");
 String [] dirList=ThisDir.list();
 for (int i=0;i<dirList.length;i++)
	System.out.println(dirList[i]);
}


public static void main(String[] args) throws java.io.IOException
{// Associate the disk file with the File object
 showLoggedDir();
 File InputFile=new File(GetInputFile());
 // Now, open a stream from the input file
 DataInputStream DataInput=new DataInputStream(new FileInputStream(InputFile));
 // Read the file one line at a time and process each line
 String Line;
 int[] CharCount=new int[intArraySize];
 while ((Line=DataInput.readLine())!=null)
  ProcessLine(CharCount,Line.toCharArray(),Line.length());
 File OutputFile=new File(getOutputFile());
 DataOutputStream DataOut=new DataOutputStream
									(new FileOutputStream(OutputFile));
 ShowCharacterCountChart(DataOut,CharCount);
}


}

